package com.example.quiz.data.model.enums;

import java.io.Serializable;

public class Pageable implements Serializable {

    private boolean unpaged;
    private boolean paged;
    private int pageNumber;
    private int pageSize;
    private long offset; // ⚠️ long obligatoire
    private Sort sort;

    public boolean isUnpaged() {
        return unpaged;
    }

    public boolean isPaged() {
        return paged;
    }

    public int getPageNumber() {
        return pageNumber;
    }

    public int getPageSize() {
        return pageSize;
    }

    public long getOffset() {
        return offset;
    }

    public Sort getSort() {
        return sort;
    }
}

